Summary: Thread-safe hash algorithms library
Name: mhash
Version: 0.9.9.9
Release: 2%{?dist}
License: LGPLv2
URL: http://mhash.sourceforge.net/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Group: System Environment/Libraries
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/ldconfig
Provides: libmhash

%description
Mhash is a free library which provides a uniform interface to a
large number of hash algorithms.

These algorithms can be used to compute checksums, message digests,
and other signatures. The HMAC support implements the basics for
message authentication, following RFC 2104. In the later versions
some key generation algorithms, which use hash algorithms, have been
added. Currently, the library supports the algorithms:
SHA1, SHA160, SHA192, SHA224, SHA384, SHA512, HAVAL128, HAVAL160
HAVAL192, HAVAL224, HAVAL256, RIPEMD128, RIPEMD256, RIPEMD320
MD2, MD4, MD5, TIGER, TIGER128, TIGER160, ALDER32, CRC32, CRC32b
WHIRLPOOL, GOST, SNEFRU128 and SNEFRU256.

%package devel
Summary: Header files and libraries for developing apps which use mhash.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: libmhash-devel

%description devel
This package contains the header files and libraries needed to
develop programs that use the mhash library.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-shared --enable-static
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

find %{buildroot}/%{_libdir}/ -name '*.la' -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%doc doc/*.c doc/skid2-authentication
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/mutils
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man3/*

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.9.9.9-2
- mass rebuild

* Mon Dec 08 2008 Simon Matter <simon.matter@invoca.ch> 0.9.9.9-1
- upgrade to 0.9.9.9
- remove .la files from -devel package

* Fri Jan 11 2008 Simon Matter <simon.matter@invoca.ch> 0.9.9-2
- fix build on x86_64

* Fri Apr 06 2007 Simon Matter <simon.matter@invoca.ch> 0.9.9-1
- update to 0.9.9

* Tue Feb 20 2007 Simon Matter <simon.matter@invoca.ch> 0.9.8-1
- update to 0.9.8

* Mon Jun 26 2006 Simon Matter <simon.matter@invoca.ch> 0.9.7.1-1
- update to 0.9.7.1

* Wed Apr 12 2006 Simon Matter <simon.matter@invoca.ch> 0.9.6-1
- update to 0.9.6

* Thu Jan 13 2005 Simon Matter <simon.matter@invoca.ch>
- updated to 0.9.2

* Wed Mar 31 2004 Simon Matter <simon.matter@invoca.ch>
- initial package
